Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.query
Class DateTimeExp

    java.lang.Object
      |
      +--com.sun.wbem.query.ValueExp
            |
            +--com.sun.wbem.query.DateTimeExp

public class DateTimeExp
extends ValueExp

This class represents DateTimes that are arguments to SQL relational constraints. A `DateTimeExp` may be used anywhere a `ValueExp` is required. Instances of `DateTimeExp` print using the SQL syntax for string literals.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Constructor Summary
`DateTimeExp()`
`DateTimeExp(CIMDateTime val)` Creates a new `DateTimeExp` corresponding to the CIMDateTime value val.
`DateTimeExp(java.lang.String val)` Creates a new `DateTimeExp` corresponding to the string literal val.

Method Summary
`CIMDateTime` | `getValue()` Accessor for the CIMDataTime value.
`java.lang.String` | `toString()` Returns the SQL syntax string representing its value.

Methods inherited from class com.sun.wbem.query.ValueExp
`apply`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateTimeExp

    public DateTimeExp(java.lang.String val)

  Creates a new `DateTimeExp` corresponding to the string literal val.
  Parameters:
    `val` - The String value corresponding to the DateTime as defined in the CIM spec for date times.

### DateTimeExp

    public DateTimeExp(CIMDateTime val)

  Creates a new `DateTimeExp` corresponding to the CIMDateTime value val.
  Parameters:
    `val` - The CIMDateTime value

### DateTimeExp

    public DateTimeExp()

Method Detail

### getValue

    public CIMDateTime getValue()

  Accessor for the CIMDataTime value.
  Returns:
    CIMDateTime

### toString

    public java.lang.String toString()

  Returns the SQL syntax string representing its value.
  Overrides:
    toString in class java.lang.Object
  Returns:
    The expression's string value in SQL syntax.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD